Cyberduck Mountain Duck CLI

#5121 closed defect (worksforme)

Dragging files to a sub-folder sometimes delivers files to root instead

Reported by: https://www.google.com/accounts/o8/id?id=aitoawn-yfqpxs9cw0uycid_ymge-fwme5mnxda Owned by: dkocher
Priority: normal Milestone: 3.6
Component: interface Version: 3.5.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

If I select a group of files and drag them to the cyber duck FTP window, to a sub-folder, occasionally the files go to an upper level folder instead (sometimes the parent, but usually the root folder).

This happens with drag&drop, but I have noticed the same issue (rarely) with copy & paste of files. Clicking on the destination folder first (to highlight it) improves the reliability of the files ending up at the correct destination (but does not guarantee it).

Change History (4)

comment:1 Changed on Aug 27, 2010 at 9:09:35 AM by dkocher

Thanks for your bug report. Could you test with the latest snapshot build if you can reproduce as there have been some changes related to #4320. You can find the latest build at http://update.cyberduck.ch/nightly/.

comment:2 Changed on Aug 28, 2010 at 8:54:06 AM by dkocher

  • Component changed from ftp to interface
  • Milestone set to 3.6
  • Resolution set to worksforme
  • Status changed from new to closed

comment:3 follow-up: Changed on Aug 31, 2010 at 7:43:00 AM by https://www.google.com/accounts/o8/id?id=aitoawn-yfqpxs9cw0uycid_ymge-fwme5mnxda

The ticket has been closed (didn't give me long to reply), but I can confirm that I haven't reproduced the issue (on the nightly build) using drag and drop over the weekend(yet), will check that copy/paste works over the next few days.

comment:4 in reply to: ↑ 3 Changed on Aug 31, 2010 at 9:13:48 AM by dkocher

Replying to https://www.google.com/accounts/o8/id?id=aitoawn-yfqpxs9cw0uycid_ymge-fwme5mnxda:

The ticket has been closed (didn't give me long to reply), but I can confirm that I haven't reproduced the issue (on the nightly build) using drag and drop over the weekend(yet), will check that copy/paste works over the next few days.

Thanks for your follow up on this.

Note: See TracTickets for help on using tickets.